Subject: RE: Moving forward draft-ietf-6man-deprecate-atomfrag-generation-01 (Re: I-D Action: draft-ietf-6man-deprecate-atomfrag-generation-01.txt)

From: "Liushucheng (Will)" <[email-masked]>
Date: Tue, 5 May 2015 13:39:31 +0000

Hi Ole,

Thank you for your prompt response. Please see my reply inline starts with [Will].

Regards,
Will (Shucheng LIU)

> -----Original Message-----
> From: Ole Troan [mailto:[email-masked]]
> Sent: Wednesday, April 29, 2015 7:10 PM
> To: Liushucheng (Will)
> Cc: Fred Baker (fred); Fernando Gont; 6man WG; [email-masked];
> [email-masked]
> Subject: Re: Moving forward
> draft-ietf-6man-deprecate-atomfrag-generation-01 (Re: I-D Action:
> draft-ietf-6man-deprecate-atomfrag-generation-01.txt)
> 
> Will,
> 
> > It seems to us that we agree that the best way is to have this document
> deprecate the generation of atomic fragments, and have the RFC6145
> updates in a separate document (RFC6145bis).
> >
> > Should we update our document accordingly, and resubmit, and then make
> progress? Thanks.
> 
> I’d suggest you keep the draft as is for the moment, until the relevant text is
> moved over to 6145bis, and that has found a new home.

[Will]: If we agree to do the 6145 update in a separate document, then it seems to me that it will be more sensible to progress without it, right? Otherwise, process will be stalled with text which is supposed to be removed and used in a different document.

> 
> another question on this proposed change. as we’re looking at making
> RFC2460 Internet Standard.
> can this change; e.g with an updated host not including the FH and a legacy
> translator lead to incompatibility problems?

[Will]: Good point. We've briefly discussed this in our document. The fact is, many implementations do no support atomic fragments, so we cannot depend on them. This issue is discussed even in RFC6145 itself.

> 
> cheers,
> Ole
> 
> >> -----Original Message-----
> >> From: Ole Troan [mailto:[email-masked]]
> >> Sent: Wednesday, April 29, 2015 2:17 AM
> >> To: Fred Baker (fred)
> >> Cc: Fernando Gont; 6man WG; [email-masked];
> >> [email-masked]
> >> Subject: Re: Moving forward
> >> draft-ietf-6man-deprecate-atomfrag-generation-01 (Re: I-D Action:
> >> draft-ietf-6man-deprecate-atomfrag-generation-01.txt)
> >>
> >>>> We've rev'ed the aforementioned I-D with minor clarifications
> >>>> requested by implementers:
> >>>> <https://tools.ietf.org/html/draft-ietf-6man-deprecate-atomfrag-gen
> >>>> er
> >>>> ation-01>
> >>>>
> >>>> We think the current version of the I-D is ready for WGLC.
> >>>
> >>> The ID contains three essential parts: why the recommendations, a
> >>> relatively
> >> minor change to RFC 2460, and some deep surgery on RFC 6145. Let me
> >> as a question on that last, if you would.
> >>>
> >>> Have those proposed changes been vetted with the implementors you
> >> mentioned?
> >>>
> >>> If this is the consensus of the working group, I personally would be
> >>> in favor of
> >> churning 6145 rather than making future implementors read two
> >> documents in parallel. I would want to do that in 6man.
> >>
> >> yes,  I also agree with you that it would be better to reissue
> >> RFC6145. I think there are better homes for that than 6man, but if
> >> no-one else volunteers, then let’s have a discussion with our ADs.
> >>
> >> cheers,
> >> Ole
> >